import { html as h } from "lit";
import { property as n } from "lit/decorators.js";
import { PieIconComponent as l } from "./PieIconComponent.js";
import { safeCustomElement as g } from "@justeattakeaway/pie-webc-core";
var f = Object.defineProperty, m = Object.getOwnPropertyDescriptor, c = (a, t, o, r) => {
  for (var e = r > 1 ? void 0 : r ? m(t, o) : t, p = a.length - 1, i; p >= 0; p--)
    (i = a[p]) && (e = (r ? i(t, o, e) : i(e)) || e);
  return r && e && f(t, o, e), e;
};
let s = class extends l {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--resizeLarge", this.class = "c-pieIcon c-pieIcon--resizeLarge", this.name = "IconResizeLarge";
  }
  render() {
    return h`<svg width="${this._svgWidth}" height="${this._svgHeight}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--resizeLarge"><path d="M22.726 2.243V1L1 22.735h1.243L22.726 2.243Z"></path><path d="M2.242 22.735h1.234l19.25-19.259V2.242L2.242 22.735Z"></path><path d="M14.099 22.735h1.233l7.394-7.403V14.1L14.1 22.735Z"></path><path d="m14.099 22.735 8.627-8.636v-1.234l-9.861 9.87h1.234Z"></path></svg>`;
  }
};
c([
  n({ type: String, reflect: !0 })
], s.prototype, "size", 2);
c([
  n({ type: String, reflect: !0 })
], s.prototype, "class", 2);
s = c([
  g("icon-resize-large")
], s);
export {
  s as IconResizeLarge
};
